/*******************************************************************************
 *	ATI 3D RAGE SDK sample code												   *	
 *																			   *
 *  Knight Demo																   *
 *																			   *
 *  Copyright (c) 1996-1997 ATI Technologies, Inc.  All rights reserved.	   *	
 *																			   *
 *	The base sequence and set up for the change-over from knight to girl; this *
 *	mostly involves rendering the hair object(s) correctly.					   *
 *******************************************************************************/
#ifndef GIRL_H
#define GIRL_H
// -----------------------------------------------------------------------------

#include "physics.h"
#include "normalmode.h"

// -----------------------------------------------------------------------------

class Girl {
public:
	static void Cleanup(void) throw(Exception);
	static void Initialize(void) throw(Exception);

	static void Physics(PhysicsType type) throw();

	static void SetMode(void);

private:
	static void DoCopy(void);

	static void KeyPressHandler(UINT nChar, UINT nRepCnt, UINT nFlags);
	static void DrawKnightOverride(Clipper& rClipper) throw(Exception);
};

// -----------------------------------------------------------------------------
#endif
